Subject: Re: bug#72328: [PATCH] Nested backquote in pcase

From: Thuna <[email-masked]>
Date: Sun, 28 Jul 2024 17:51:17 +0200

> This would be a backward-incompatible change, breaking existing code.

Yes, I forgot to mention this in my original report, but given how
unintuitive (IMO) the current behavior is, I expect that very few people
will be using patterns which would be effected by this change. 

> And this change would break the symmetry between `backquote' the macro
> and backquote patterns in `pcase'.  This is an important design idea.

I am not quite sure why you think that this breaks symmetry with the
backquote macro; the purpose of this patch was to establish a symmetry
in the first place.  Would you consider the examples provided as
unnatural?

> And I don't see any advantage either.

AFAICT right now the only way to match an unevaluated (or quoted) `,foo
is with `(,'\` (,'\, foo)) which is quite unideal.  It is not often that
you need this but having this not be representable in this way is not
particularly useful.